package intrinsic.mx.events;

public class MetadataEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public Object info;

	/** Constants */
	public static final String NAVIGATION = "navigation";
	public static final String VERSION = "version";
	public static final String CUE_POINT = "cue_point";
	public static final String ACTION_SCRIPT = "action_script";
	public static final String EVENT = "event";
	public static final String METADATA_RECEIVED = "metadata_received";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MetadataEvent() {
}

public MetadataEvent(String arg0) {
}

public MetadataEvent(String arg0, boolean arg1) {
}

public MetadataEvent(String arg0, boolean arg1, boolean arg2) {
}

public MetadataEvent(String arg0, boolean arg1, boolean arg2, Object arg3) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
